Table of Contents
=================

* [Stream Lines](#stream-lines)
  * [Install](#install)
  * [Developer](#developer)
    * [Test](#test)
    * [Cover](#cover)
    * [Lint](#lint)
    * [Documentation](#documentation)
    * [Readme](#readme)
  * [License](#license)

Stream Lines
============

[<img src="https://travis-ci.org/tmpfs/stream-lines.svg" alt="Build Status">](https://travis-ci.org/tmpfs/stream-lines)
[<img src="http://img.shields.io/npm/v/stream-lines.svg" alt="npm version">](https://npmjs.org/package/stream-lines)
[<img src="https://coveralls.io/repos/tmpfs/stream-lines/badge.svg?branch=master&service=github&v=1" alt="Coverage Status">](https://coveralls.io/github/tmpfs/stream-lines?branch=master).

Line transform stream, reads bytes writes arrays of lines.

Requires [node](http://nodejs.org) and [npm](http://www.npmjs.org).

## Install

```
npm i stream-lines --save
```

## Developer

### Test

Tests are not included in the package, clone the repository:

```
npm test
```

### Cover

To generate code coverage run:

```
npm run cover
```

### Lint

Run the source tree through [jshint](http://jshint.com/) and [jscs](http://jscs.info/):

```
npm run lint
```

### Documentation

To generate all documentation:

```
npm run docs
```

### Readme

To build the readme file from the partial definitions (requires [mdp](https://github.com/tmpfs/mdp)):

```
npm run readme
```

## License

Everything is [MIT](http://en.wikipedia.org/wiki/MIT_License). Read the [license](https://github.com/tmpfs/stream-lines/blob/master/LICENSE) if you feel inclined.

Generated by [mdp(1)](https://github.com/freeformsystems/mdp).

[node]: http://nodejs.org
[npm]: http://www.npmjs.org
[mdp]: https://github.com/tmpfs/mdp
[jshint]: http://jshint.com/
[jscs]: http://jscs.info/
